//  Giuseppe Vacanti (cosine science & computing bv)
//  March 14, 2003
//
//   $Id: Hkparameter_List.h,v 1.2 2009/08/31 15:12:34 aibarra Exp $

#ifndef HKPARAMETER_LIST_H
#define HKPARAMETER_LIST_H

#include<Hkparameter_Descriptor.h>

const Hkparameter_Descriptor hkd[] = {

  // MOS1
  {(char *)"FILTER_WHEEL_NAME",(char *)"E1257",(char *)"TRUE",(char *)"Name of filter wheel position", Dal::DString, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"FILTER_WHEEL_POSITION",(char *)"E1317",(char *)"TRUE",(char *)"Hardware filter wheel position", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  //  {"FILTER_RAW",(char *)"E1317",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"CLOCK_RESET_TIME_COARSE",(char *)"E1573",(char *)"TRUE",(char *)"Coarse component of the clock reset time", Dal::Int32, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"CLOCK_RESET_TIME_FINE",(char *)"EU573",(char *)"TRUE",(char *)"Fine component of the clock reset time", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"CLOCK_WRAP_AROUND",(char *)"E1044",(char *)"TRUE",(char *)"Clock wrap around", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"GAIN_CCD_1_RAW",(char *)"E1113",(char *)"TRUE",(char *)"Gain of the read out chain", Dal::DString, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"GAIN_CCD_2_RAW",(char *)"E1201",(char *)"TRUE",(char *)"Gain of the read out chain", Dal::DString, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"GAIN_CCD_3_RAW",(char *)"E1302",(char *)"TRUE",(char *)"Gain of the read out chain", Dal::DString, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"GAIN_CCD_4_RAW",(char *)"E1248",(char *)"TRUE",(char *)"Gain of the read out chain", Dal::DString, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"GAIN_CCD_5_RAW",(char *)"E1201",(char *)"TRUE",(char *)"Gain of the read out chain", Dal::DString, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"GAIN_CCD_6_RAW",(char *)"E1302",(char *)"TRUE",(char *)"Gain of the read out chain", Dal::DString, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"GAIN_CCD_7_RAW",(char *)"E1248",(char *)"TRUE",(char *)"Gain of the read out chain", Dal::DString, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"MEAN_TEMPERATURE",(char *) "E1311",(char *) "TRUE",(char *) "Temperature", Dal::Real32,  Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_0_LOW_THR_1",(char *)"E1398",(char *)"TRUE",(char *)"First low threshold of 1st EDU", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_0_LOW_THR_2",(char *)"E1399",(char *)"TRUE",(char *)"Second low threshold of 1st EDU", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_1_LOW_THR_1",(char *)"E1400",(char *)"TRUE",(char *)"First low threshold of 2nd EDU", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_1_LOW_THR_2",(char *)"E1401",(char *)"TRUE",(char *)"Second low threshold of 2nd EDU", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_2_LOW_THR_1",(char *)"E1402",(char *)"TRUE",(char *)"First low threshold of 3rd EDU", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_2_LOW_THR_2",(char *)"E1403",(char *)"TRUE",(char *)"Second low threshold of 3rd EDU", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_3_LOW_THR_1",(char *)"E1404",(char *)"TRUE",(char *)"First low threshold of 4th EDU", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_3_LOW_THR_2",(char *)"E1405",(char *)"TRUE",(char *)"Second low threshold of 4th EDU", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_4_LOW_THR_1",(char *)"E1406",(char *)"TRUE",(char *)"First low threshold of 5th EDU", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_4_LOW_THR_2",(char *)"E1407",(char *)"TRUE",(char *)"Second low threshold of 5th EDU", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_5_LOW_THR_1",(char *)"E1408",(char *)"TRUE",(char *)"First low threshold of 6th EDU", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_5_LOW_THR_2",(char *)"E1409",(char *)"TRUE",(char *)"Second low threshold of 6th EDU", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_6_LOW_THR_1",(char *)"E1410",(char *)"TRUE",(char *)"First low threshold of 7th EDU", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_6_LOW_THR_2",(char *)"E1411",(char *)"TRUE",(char *)"Second low threshold of 7th EDU", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_7_LOW_THR_1",(char *)"E1412",(char *)"TRUE",(char *)"First low threshold of 8th EDU", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_7_LOW_THR_2",(char *)"E1413",(char *)"TRUE",(char *)"Second low threshold of 8th EDU", Dal::Uint16, Xmm::EMOS1, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"HBR_0_ACTIVATION_STATUS",(char *)"HBRACTIV",(char *)"HBRID == 1",(char *)"Activation status for HBR 0", Dal::Int8, Xmm::EMOS1,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_0_PROCESSING_MODE",(char *)"HBRPROC",(char *)"HBRID == 1",(char *)"Processing mode for HBR 0", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_1_ACTIVATION_STATUS",(char *)"HBRACTIV",(char *)"HBRID == 2",(char *)"Activation status for HBR 1", Dal::Int8, Xmm::EMOS1,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_1_PROCESSING_MODE",(char *)"HBRPROC",(char *)"HBRID == 2",(char *)"Processing mode for HBR 1", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_2_ACTIVATION_STATUS",(char *)"HBRACTIV",(char *)"HBRID == 3",(char *)"Activation status for HBR 2", Dal::Int8, Xmm::EMOS1,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_2_PROCESSING_MODE",(char *)"HBRPROC",(char *)"HBRID == 3",(char *)"Processing mode for HBR 2", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_3_ACTIVATION_STATUS",(char *)"HBRACTIV",(char *)"HBRID == 4",(char *)"Activation status for HBR 3", Dal::Int8, Xmm::EMOS1,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_3_PROCESSING_MODE",(char *)"HBRPROC",(char *)"HBRID == 4",(char *)"Processing mode for HBR 3", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_4_ACTIVATION_STATUS",(char *)"HBRACTIV",(char *)"HBRID == 5",(char *)"Activation status for HBR 4", Dal::Int8, Xmm::EMOS1,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_4_PROCESSING_MODE",(char *)"HBRPROC",(char *)"HBRID == 5",(char *)"Processing mode for HBR 4", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_5_ACTIVATION_STATUS",(char *)"HBRACTIV",(char *)"HBRID == 6",(char *)"Activation status for HBR 5", Dal::Int8, Xmm::EMOS1,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_5_PROCESSING_MODE",(char *)"HBRPROC",(char *)"HBRID == 6",(char *)"Processing mode for HBR 5", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_6_ACTIVATION_STATUS",(char *)"HBRACTIV",(char *)"HBRID == 7",(char *)"Activation status for HBR 6", Dal::Int8, Xmm::EMOS1,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_6_PROCESSING_MODE",(char *)"HBRPROC",(char *)"HBRID == 7",(char *)"Processing mode for HBR 6", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_7_ACTIVATION_STATUS",(char *)"HBRACTIV",(char *)"HBRID == 8",(char *)"Activation status for HBR 7", Dal::Int8, Xmm::EMOS1,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_7_PROCESSING_MODE",(char *)"HBRPROC",(char *)"HBRID == 8",(char *)"Processing mode for HBR 7", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_PATTERN_REFERENCE_0",(char *)"PATTERN",(char *)"HBRID == 1",(char *)"Pattern reference for HBR 0", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_LOW_THR_0",(char *)"LTHRESH",(char *)"HBRID == 1",(char *)"Low threshold for HBR 0", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_HIG_THR_0",(char *)"UTHRESH",(char *)"HBRID == 1",(char *)"High threshold for HBR 0", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_PATTERN_REFERENCE_1",(char *)"PATTERN",(char *)"HBRID == 2",(char *)"Pattern reference for HBR 1", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_LOW_THR_1",(char *)"LTHRESH",(char *)"HBRID == 2",(char *)"Low threshold for HBR 1", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_HIG_THR_1",(char *)"UTHRESH",(char *)"HBRID == 2",(char *)"High threshold for HBR 1", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_PATTERN_REFERENCE_2",(char *)"PATTERN",(char *)"HBRID == 3",(char *)"Pattern reference for HBR 2", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_LOW_THR_2",(char *)"LTHRESH",(char *)"HBRID == 3",(char *)"Low threshold for HBR 2", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_HIG_THR_2",(char *)"UTHRESH",(char *)"HBRID == 3",(char *)"High threshold for HBR 2", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_PATTERN_REFERENCE_3",(char *)"PATTERN",(char *)"HBRID == 4",(char *)"Pattern reference for HBR 3", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_LOW_THR_3",(char *)"LTHRESH",(char *)"HBRID == 4",(char *)"Low threshold for HBR 3", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_HIG_THR_3",(char *)"UTHRESH",(char *)"HBRID == 4",(char *)"High threshold for HBR 3", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_PATTERN_REFERENCE_4",(char *)"PATTERN",(char *)"HBRID == 5",(char *)"Pattern reference for HBR 4", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_LOW_THR_4",(char *)"LTHRESH",(char *)"HBRID == 5",(char *)"Low threshold for HBR 4", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_HIG_THR_4",(char *)"UTHRESH",(char *)"HBRID == 5",(char *)"High threshold for HBR 4", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_PATTERN_REFERENCE_5",(char *)"PATTERN",(char *)"HBRID == 6",(char *)"Pattern reference for HBR 5", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_LOW_THR_5",(char *)"LTHRESH",(char *)"HBRID == 6",(char *)"Low threshold for HBR 5", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_HIG_THR_5",(char *)"UTHRESH",(char *)"HBRID == 6",(char *)"High threshold for HBR 5", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_PATTERN_REFERENCE_6",(char *)"PATTERN",(char *)"HBRID == 7",(char *)"Pattern reference for HBR 6", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_LOW_THR_6",(char *)"LTHRESH",(char *)"HBRID == 7",(char *)"Low threshold for HBR 6", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_HIG_THR_6",(char *)"UTHRESH",(char *)"HBRID == 7",(char *)"High threshold for HBR 6", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_PATTERN_REFERENCE_7",(char *)"PATTERN",(char *)"HBRID == 8",(char *)"Pattern reference for HBR 7", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_LOW_THR_7",(char *)"LTHRESH",(char *)"HBRID == 8",(char *)"Low threshold for HBR 7", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_HIG_THR_7",(char *)"UTHRESH",(char *)"HBRID == 8",(char *)"High threshold for HBR 7", Dal::Uint16, Xmm::EMOS1,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},

  // MOS2
  {(char *)"FILTER_WHEEL_NAME",(char *)"K1257",(char *)"TRUE",(char *)"Name of filter wheel position", Dal::DString, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"FILTER_WHEEL_POSITION",(char *)"K1317",(char *)"TRUE",(char *)"Hardware filter wheel position", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  //  {"FILTER_RAW",(char *)"K1317",(char *)"TRUE",(char *)"Filter", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"CLOCK_RESET_TIME_COARSE",(char *)"K1573",(char *)"TRUE",(char *)"Coarse component of the clock reset time", Dal::Int32, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"CLOCK_RESET_TIME_FINE",(char *)"KU573",(char *)"TRUE",(char *)"Fine component of the clock reset time", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"CLOCK_WRAP_AROUND",(char *)"K1044",(char *)"TRUE",(char *)"Clock wrap around", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"GAIN_CCD_1_RAW",(char *)"K1113",(char *)"TRUE",(char *)"Gain of the read out chain", Dal::DString, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"GAIN_CCD_2_RAW",(char *)"K1201",(char *)"TRUE",(char *)"Gain of the read out chain", Dal::DString, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"GAIN_CCD_3_RAW",(char *)"K1302",(char *)"TRUE",(char *)"Gain of the read out chain", Dal::DString, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"GAIN_CCD_4_RAW",(char *)"K1248",(char *)"TRUE",(char *)"Gain of the read out chain", Dal::DString, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"GAIN_CCD_5_RAW",(char *)"K1201",(char *)"TRUE",(char *)"Gain of the read out chain", Dal::DString, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"GAIN_CCD_6_RAW",(char *)"K1302",(char *)"TRUE",(char *)"Gain of the read out chain", Dal::DString, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"GAIN_CCD_7_RAW",(char *)"K1248",(char *)"TRUE",(char *)"Gain of the read out chain", Dal::DString, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"MEAN_TEMPERATURE",(char *) "K1311",(char *) "TRUE",(char *) "Temperature", Dal::Real32,  Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_0_LOW_THR_1",(char *)"K1398",(char *)"TRUE",(char *)"First low threshold of 1st EDU", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_0_LOW_THR_2",(char *)"K1399",(char *)"TRUE",(char *)"Second low threshold of 1st EDU", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_1_LOW_THR_1",(char *)"K1400",(char *)"TRUE",(char *)"First low threshold of 2nd EDU", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_1_LOW_THR_2",(char *)"K1401",(char *)"TRUE",(char *)"Second low threshold of 2nd EDU", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_2_LOW_THR_1",(char *)"K1402",(char *)"TRUE",(char *)"First low threshold of 3rd EDU", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_2_LOW_THR_2",(char *)"K1403",(char *)"TRUE",(char *)"Second low threshold of 3rd EDU", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_3_LOW_THR_1",(char *)"K1404",(char *)"TRUE",(char *)"First low threshold of 4th EDU", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_3_LOW_THR_2",(char *)"K1405",(char *)"TRUE",(char *)"Second low threshold of 4th EDU", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_4_LOW_THR_1",(char *)"K1406",(char *)"TRUE",(char *)"First low threshold of 5th EDU", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_4_LOW_THR_2",(char *)"K1407",(char *)"TRUE",(char *)"Second low threshold of 5th EDU", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_5_LOW_THR_1",(char *)"K1408",(char *)"TRUE",(char *)"First low threshold of 6th EDU", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_5_LOW_THR_2",(char *)"K1409",(char *)"TRUE",(char *)"Second low threshold of 6th EDU", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_6_LOW_THR_1",(char *)"K1410",(char *)"TRUE",(char *)"First low threshold of 7th EDU", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_6_LOW_THR_2",(char *)"K1411",(char *)"TRUE",(char *)"Second low threshold of 7th EDU", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_7_LOW_THR_1",(char *)"K1412",(char *)"TRUE",(char *)"First low threshold of 8th EDU", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"EDU_7_LOW_THR_2",(char *)"K1413",(char *)"TRUE",(char *)"Second low threshold of 8th EDU", Dal::Uint16, Xmm::EMOS2, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"HBR_0_ACTIVATION_STATUS",(char *)"HBRACTIV",(char *)"HBRID == 1",(char *)"Activation status for HBR 0", Dal::Int8, Xmm::EMOS2,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_0_PROCESSING_MODE",(char *)"HBRPROC",(char *)"HBRID == 1",(char *)"Processing mode for HBR 0", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_1_ACTIVATION_STATUS",(char *)"HBRACTIV",(char *)"HBRID == 2",(char *)"Activation status for HBR 1", Dal::Int8, Xmm::EMOS2,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_1_PROCESSING_MODE",(char *)"HBRPROC",(char *)"HBRID == 2",(char *)"Processing mode for HBR 1", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_2_ACTIVATION_STATUS",(char *)"HBRACTIV",(char *)"HBRID == 3",(char *)"Activation status for HBR 2", Dal::Int8, Xmm::EMOS2,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_2_PROCESSING_MODE",(char *)"HBRPROC",(char *)"HBRID == 3",(char *)"Processing mode for HBR 2", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_3_ACTIVATION_STATUS",(char *)"HBRACTIV",(char *)"HBRID == 4",(char *)"Activation status for HBR 3", Dal::Int8, Xmm::EMOS2,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_3_PROCESSING_MODE",(char *)"HBRPROC",(char *)"HBRID == 4",(char *)"Processing mode for HBR 3", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_4_ACTIVATION_STATUS",(char *)"HBRACTIV",(char *)"HBRID == 5",(char *)"Activation status for HBR 4", Dal::Int8, Xmm::EMOS2,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_4_PROCESSING_MODE",(char *)"HBRPROC",(char *)"HBRID == 5",(char *)"Processing mode for HBR 4", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_5_ACTIVATION_STATUS",(char *)"HBRACTIV",(char *)"HBRID == 6",(char *)"Activation status for HBR 5", Dal::Int8, Xmm::EMOS2,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_5_PROCESSING_MODE",(char *)"HBRPROC",(char *)"HBRID == 6",(char *)"Processing mode for HBR 5", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_6_ACTIVATION_STATUS",(char *)"HBRACTIV",(char *)"HBRID == 7",(char *)"Activation status for HBR 6", Dal::Int8, Xmm::EMOS2,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_6_PROCESSING_MODE",(char *)"HBRPROC",(char *)"HBRID == 7",(char *)"Processing mode for HBR 6", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_7_ACTIVATION_STATUS",(char *)"HBRACTIV",(char *)"HBRID == 8",(char *)"Activation status for HBR 7", Dal::Int8, Xmm::EMOS2,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_7_PROCESSING_MODE",(char *)"HBRPROC",(char *)"HBRID == 8",(char *)"Processing mode for HBR 7", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_PATTERN_REFERENCE_0",(char *)"PATTERN",(char *)"HBRID == 1",(char *)"Pattern reference for HBR 0", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_LOW_THR_0",(char *)"LTHRESH",(char *)"HBRID == 1",(char *)"Low threshold for HBR 0", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_HIG_THR_0",(char *)"UTHRESH",(char *)"HBRID == 1",(char *)"High threshold for HBR 0", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_PATTERN_REFERENCE_1",(char *)"PATTERN",(char *)"HBRID == 2",(char *)"Pattern reference for HBR 1", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_LOW_THR_1",(char *)"LTHRESH",(char *)"HBRID == 2",(char *)"Low threshold for HBR 1", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_HIG_THR_1",(char *)"UTHRESH",(char *)"HBRID == 2",(char *)"High threshold for HBR 1", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_PATTERN_REFERENCE_2",(char *)"PATTERN",(char *)"HBRID == 3",(char *)"Pattern reference for HBR 2", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_LOW_THR_2",(char *)"LTHRESH",(char *)"HBRID == 3",(char *)"Low threshold for HBR 2", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_HIG_THR_2",(char *)"UTHRESH",(char *)"HBRID == 3",(char *)"High threshold for HBR 2", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_PATTERN_REFERENCE_3",(char *)"PATTERN",(char *)"HBRID == 4",(char *)"Pattern reference for HBR 3", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_LOW_THR_3",(char *)"LTHRESH",(char *)"HBRID == 4",(char *)"Low threshold for HBR 3", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_HIG_THR_3",(char *)"UTHRESH",(char *)"HBRID == 4",(char *)"High threshold for HBR 3", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_PATTERN_REFERENCE_4",(char *)"PATTERN",(char *)"HBRID == 5",(char *)"Pattern reference for HBR 4", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_LOW_THR_4",(char *)"LTHRESH",(char *)"HBRID == 5",(char *)"Low threshold for HBR 4", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_HIG_THR_4",(char *)"UTHRESH",(char *)"HBRID == 5",(char *)"High threshold for HBR 4", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_PATTERN_REFERENCE_5",(char *)"PATTERN",(char *)"HBRID == 6",(char *)"Pattern reference for HBR 5", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_LOW_THR_5",(char *)"LTHRESH",(char *)"HBRID == 6",(char *)"Low threshold for HBR 5", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_HIG_THR_5",(char *)"UTHRESH",(char *)"HBRID == 6",(char *)"High threshold for HBR 5", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_PATTERN_REFERENCE_6",(char *)"PATTERN",(char *)"HBRID == 7",(char *)"Pattern reference for HBR 6", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_LOW_THR_6",(char *)"LTHRESH",(char *)"HBRID == 7",(char *)"Low threshold for HBR 6", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_HIG_THR_6",(char *)"UTHRESH",(char *)"HBRID == 7",(char *)"High threshold for HBR 6", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_PATTERN_REFERENCE_7",(char *)"PATTERN",(char *)"HBRID == 8",(char *)"Pattern reference for HBR 7", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_LOW_THR_7",(char *)"LTHRESH",(char *)"HBRID == 8",(char *)"Low threshold for HBR 7", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},
  {(char *)"HBR_HIG_THR_7",(char *)"UTHRESH",(char *)"HBRID == 8",(char *)"High threshold for HBR 7", Dal::Uint16, Xmm::EMOS2,Xmm::HBR_THRESHOLD_HOUSEKEEPING, false},

  // RGS1
  {(char *)"PACKING_SCHEME",(char *)"G7303",(char *)"TRUE",(char *)"Packing scheme", Dal::DString, Xmm::RGS1, Xmm::FULL_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CCD_1_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 1",(char *)"Acceptance threshold side C for CCD 1", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_1_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 1",(char *)"Acceptance threshold side D for CCD 1", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_1_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 1",(char *)"Upper threshold side C for CCD 1", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_1_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 1",(char *)"Acceptance threshold side D for CCD 1", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_2_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 2",(char *)"Acceptance threshold side C for CCD 2", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_2_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 2",(char *)"Acceptance threshold side D for CCD 2", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_2_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 2",(char *)"Upper threshold side C for CCD 2", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_2_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 2",(char *)"Acceptance threshold side D for CCD 2", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_3_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 3",(char *)"Acceptance threshold side C for CCD 3", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_3_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 3",(char *)"Acceptance threshold side D for CCD 3", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_3_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 3",(char *)"Upper threshold side C for CCD 3", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_3_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 3",(char *)"Acceptance threshold side D for CCD 3", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_4_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 4",(char *)"Acceptance threshold side C for CCD 4", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_4_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 4",(char *)"Acceptance threshold side D for CCD 4", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_4_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 4",(char *)"Upper threshold side C for CCD 4", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_4_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 4",(char *)"Acceptance threshold side D for CCD 4", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_5_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 5",(char *)"Acceptance threshold side C for CCD 5", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_5_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 5",(char *)"Acceptance threshold side D for CCD 5", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_5_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 5",(char *)"Upper threshold side C for CCD 5", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_5_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 5",(char *)"Acceptance threshold side D for CCD 5", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_6_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 6",(char *)"Acceptance threshold side C for CCD 6", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_6_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 6",(char *)"Acceptance threshold side D for CCD 6", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_6_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 6",(char *)"Upper threshold side C for CCD 6", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_6_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 6",(char *)"Acceptance threshold side D for CCD 6", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_7_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 7",(char *)"Acceptance threshold side C for CCD 7", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_7_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 7",(char *)"Acceptance threshold side D for CCD 7", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_7_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 7",(char *)"Upper threshold side C for CCD 7", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_7_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 7",(char *)"Acceptance threshold side D for CCD 7", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_8_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 8",(char *)"Acceptance threshold side C for CCD 8", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_8_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 8",(char *)"Acceptance threshold side D for CCD 8", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_8_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 8",(char *)"Upper threshold side C for CCD 8", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_8_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 8",(char *)"Acceptance threshold side D for CCD 8", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_9_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 9",(char *)"Acceptance threshold side C for CCD 9", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_9_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 9",(char *)"Acceptance threshold side D for CCD 9", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_9_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 9",(char *)"Upper threshold side C for CCD 9", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_9_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 9",(char *)"Acceptance threshold side D for CCD 9", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"NUMBER_OF_SLOTS",(char *)"CCDSNUM",(char *)"TRUE",(char *)"Number of readout slots", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_1",(char *)"RDOUTSEQ",(char *)"#ROW == 1",(char *)"CCD read out in the 1st slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_1_OCB",(char *)"OCBMODE",(char *)"#ROW == 1",(char *)"On-chip binning factor for the CCD read out in the 1st slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_1_NODES",(char *)"READOUT",(char *)"#ROW == 1",(char *)"Read-out nodes used fot the CCD read out in the 1st slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_1_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 1",(char *)"Rejection threshold side C for the CCD read out in the 1st slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_1_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 1",(char *)"Rejection threshold side D for the CCD read out in the 1st slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_1_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 1",(char *)"CCD read out in the 1st slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_2",(char *)"RDOUTSEQ",(char *)"#ROW == 2",(char *)"CCD read out in the 2nd slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_2_OCB",(char *)"OCBMODE",(char *)"#ROW == 2",(char *)"On-chip binning factor for the CCD read out in the 2nd slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_2_NODES",(char *)"READOUT",(char *)"#ROW == 2",(char *)"Read-out nodes used fot the CCD read out in the 2nd slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_2_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 2",(char *)"Rejection threshold side C for the CCD read out in the 2nd slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_2_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 2",(char *)"Rejection threshold side D for the CCD read out in the 2nd slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_2_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 2",(char *)"CCD read out in the 2nd slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_3",(char *)"RDOUTSEQ",(char *)"#ROW == 3",(char *)"CCD read out in the 3rd slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_3_OCB",(char *)"OCBMODE",(char *)"#ROW == 3",(char *)"On-chip binning factor for the CCD read out in the 3rd slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_3_NODES",(char *)"READOUT",(char *)"#ROW == 3",(char *)"Read-out nodes used fot the CCD read out in the 3rd slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_3_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 3",(char *)"Rejection threshold side C for the CCD read out in the 3rd slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_3_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 3",(char *)"Rejection threshold side D for the CCD read out in the 3rd slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_3_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 3",(char *)"CCD read out in the 3rd slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_4",(char *)"RDOUTSEQ",(char *)"#ROW == 4",(char *)"CCD read out in the 4th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_4_OCB",(char *)"OCBMODE",(char *)"#ROW == 4",(char *)"On-chip binning factor for the CCD read out in the 4th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_4_NODES",(char *)"READOUT",(char *)"#ROW == 4",(char *)"Read-out nodes used fot the CCD read out in the 4th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_4_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 4",(char *)"Rejection threshold side C for the CCD read out in the 4th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_4_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 4",(char *)"Rejection threshold side D for the CCD read out in the 4th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_4_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 4",(char *)"CCD read out in the 4th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_5",(char *)"RDOUTSEQ",(char *)"#ROW == 5",(char *)"CCD read out in the 5th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_5_OCB",(char *)"OCBMODE",(char *)"#ROW == 5",(char *)"On-chip binning factor for the CCD read out in the 5th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_5_NODES",(char *)"READOUT",(char *)"#ROW == 5",(char *)"Read-out nodes used fot the CCD read out in the 5th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_5_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 5",(char *)"Rejection threshold side C for the CCD read out in the 5th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_5_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 5",(char *)"Rejection threshold side D for the CCD read out in the 5th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_5_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 5",(char *)"CCD read out in the 5th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_6",(char *)"RDOUTSEQ",(char *)"#ROW == 6",(char *)"CCD read out in the 6th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_6_OCB",(char *)"OCBMODE",(char *)"#ROW == 6",(char *)"On-chip binning factor for the CCD read out in the 6th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_6_NODES",(char *)"READOUT",(char *)"#ROW == 6",(char *)"Read-out nodes used fot the CCD read out in the 6th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_6_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 6",(char *)"Rejection threshold side C for the CCD read out in the 6th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_6_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 6",(char *)"Rejection threshold side D for the CCD read out in the 6th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_6_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 6",(char *)"CCD read out in the 6th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_7",(char *)"RDOUTSEQ",(char *)"#ROW == 7",(char *)"CCD read out in the 7th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_7_OCB",(char *)"OCBMODE",(char *)"#ROW == 7",(char *)"On-chip binning factor for the CCD read out in the 7th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_7_NODES",(char *)"READOUT",(char *)"#ROW == 7",(char *)"Read-out nodes used fot the CCD read out in the 7th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_7_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 7",(char *)"Rejection threshold side C for the CCD read out in the 7th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_7_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 7",(char *)"Rejection threshold side D for the CCD read out in the 7th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_7_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 7",(char *)"CCD read out in the 7th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_8",(char *)"RDOUTSEQ",(char *)"#ROW == 8",(char *)"CCD read out in the 8th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_8_OCB",(char *)"OCBMODE",(char *)"#ROW == 8",(char *)"On-chip binning factor for the CCD read out in the 8th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_8_NODES",(char *)"READOUT",(char *)"#ROW == 8",(char *)"Read-out nodes used fot the CCD read out in the 8th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_8_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 8",(char *)"Rejection threshold side C for the CCD read out in the 8th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_8_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 8",(char *)"Rejection threshold side D for the CCD read out in the 8th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_8_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 8",(char *)"CCD read out in the 8th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_9",(char *)"RDOUTSEQ",(char *)"#ROW == 9",(char *)"CCD read out in the 9th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_9_OCB",(char *)"OCBMODE",(char *)"#ROW == 9",(char *)"On-chip binning factor for the CCD read out in the 9th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_9_NODES",(char *)"READOUT",(char *)"#ROW == 9",(char *)"Read-out nodes used fot the CCD read out in the 9th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_9_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 9",(char *)"Rejection threshold side C for the CCD read out in the 9th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_9_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 9",(char *)"Rejection threshold side D for the CCD read out in the 9th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_9_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 9",(char *)"CCD read out in the 9th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_10",(char *)"RDOUTSEQ",(char *)"#ROW == 10",(char *)"CCD read out in the 10th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_10_OCB",(char *)"OCBMODE",(char *)"#ROW == 10",(char *)"On-chip binning factor for the CCD read out in the 10th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_10_NODES",(char *)"READOUT",(char *)"#ROW == 10",(char *)"Read-out nodes used fot the CCD read out in the 10th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_10_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 10",(char *)"Rejection threshold side C for the CCD read out in the 10th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_10_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 10",(char *)"Rejection threshold side D for the CCD read out in the 10th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_10_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 10",(char *)"CCD read out in the 10th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_11",(char *)"RDOUTSEQ",(char *)"#ROW == 11",(char *)"CCD read out in the 11th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_11_OCB",(char *)"OCBMODE",(char *)"#ROW == 11",(char *)"On-chip binning factor for the CCD read out in the 11th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_11_NODES",(char *)"READOUT",(char *)"#ROW == 11",(char *)"Read-out nodes used fot the CCD read out in the 11th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_11_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 11",(char *)"Rejection threshold side C for the CCD read out in the 11th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_11_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 11",(char *)"Rejection threshold side D for the CCD read out in the 11th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_11_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 11",(char *)"CCD read out in the 11th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_12",(char *)"RDOUTSEQ",(char *)"#ROW == 12",(char *)"CCD read out in the 12th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_12_OCB",(char *)"OCBMODE",(char *)"#ROW == 12",(char *)"On-chip binning factor for the CCD read out in the 12th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_12_NODES",(char *)"READOUT",(char *)"#ROW == 12",(char *)"Read-out nodes used fot the CCD read out in the 12th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_12_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 12",(char *)"Rejection threshold side C for the CCD read out in the 12th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_12_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 12",(char *)"Rejection threshold side D for the CCD read out in the 12th slot", Dal::Uint16, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_12_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 12",(char *)"CCD read out in the 12th slot", Dal::Int8, Xmm::RGS1, Xmm::DPP_HOUSEKEEPING_2, false},

  // RGS2
  {(char *)"PACKING_SCHEME",(char *)"L7303",(char *)"TRUE",(char *)"Packing scheme", Dal::DString, Xmm::RGS2, Xmm::FULL_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CCD_1_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 1",(char *)"Acceptance threshold side C for CCD 1", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_1_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 1",(char *)"Acceptance threshold side D for CCD 1", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_1_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 1",(char *)"Upper threshold side C for CCD 1", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_1_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 1",(char *)"Acceptance threshold side D for CCD 1", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_2_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 2",(char *)"Acceptance threshold side C for CCD 2", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_2_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 2",(char *)"Acceptance threshold side D for CCD 2", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_2_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 2",(char *)"Upper threshold side C for CCD 2", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_2_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 2",(char *)"Acceptance threshold side D for CCD 2", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_3_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 3",(char *)"Acceptance threshold side C for CCD 3", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_3_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 3",(char *)"Acceptance threshold side D for CCD 3", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_3_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 3",(char *)"Upper threshold side C for CCD 3", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_3_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 3",(char *)"Acceptance threshold side D for CCD 3", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_4_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 4",(char *)"Acceptance threshold side C for CCD 4", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_4_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 4",(char *)"Acceptance threshold side D for CCD 4", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_4_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 4",(char *)"Upper threshold side C for CCD 4", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_4_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 4",(char *)"Acceptance threshold side D for CCD 4", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_5_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 5",(char *)"Acceptance threshold side C for CCD 5", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_5_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 5",(char *)"Acceptance threshold side D for CCD 5", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_5_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 5",(char *)"Upper threshold side C for CCD 5", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_5_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 5",(char *)"Acceptance threshold side D for CCD 5", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_6_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 6",(char *)"Acceptance threshold side C for CCD 6", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_6_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 6",(char *)"Acceptance threshold side D for CCD 6", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_6_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 6",(char *)"Upper threshold side C for CCD 6", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_6_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 6",(char *)"Acceptance threshold side D for CCD 6", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_7_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 7",(char *)"Acceptance threshold side C for CCD 7", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_7_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 7",(char *)"Acceptance threshold side D for CCD 7", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_7_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 7",(char *)"Upper threshold side C for CCD 7", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_7_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 7",(char *)"Acceptance threshold side D for CCD 7", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_8_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 8",(char *)"Acceptance threshold side C for CCD 8", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_8_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 8",(char *)"Acceptance threshold side D for CCD 8", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_8_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 8",(char *)"Upper threshold side C for CCD 8", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_8_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 8",(char *)"Acceptance threshold side D for CCD 8", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_9_ACCEPT_THR_C",(char *)"ATHRESHC",(char *)"CCDID == 9",(char *)"Acceptance threshold side C for CCD 9", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_9_ACCEPT_THR_D",(char *)"ATHRESHD",(char *)"CCDID == 9",(char *)"Acceptance threshold side D for CCD 9", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_9_UPPER_THR_C",(char *)"UTHRESHC",(char *)"CCDID == 9",(char *)"Upper threshold side C for CCD 9", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"CCD_9_UPPER_THR_D",(char *)"UTHRESHD",(char *)"CCDID == 9",(char *)"Acceptance threshold side D for CCD 9", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_1, false},
  {(char *)"NUMBER_OF_SLOTS",(char *)"CCDSNUM",(char *)"TRUE",(char *)"Number of readout slots", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_1",(char *)"RDOUTSEQ",(char *)"#ROW == 1",(char *)"CCD read out in the 1st slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_1_OCB",(char *)"OCBMODE",(char *)"#ROW == 1",(char *)"On-chip binning factor for the CCD read out in the 1st slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_1_NODES",(char *)"READOUT",(char *)"#ROW == 1",(char *)"Read-out nodes used fot the CCD read out in the 1st slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_1_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 1",(char *)"Rejection threshold side C for the CCD read out in the 1st slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_1_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 1",(char *)"Rejection threshold side D for the CCD read out in the 1st slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_1_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 1",(char *)"CCD read out in the 1st slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_2",(char *)"RDOUTSEQ",(char *)"#ROW == 2",(char *)"CCD read out in the 2nd slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_2_OCB",(char *)"OCBMODE",(char *)"#ROW == 2",(char *)"On-chip binning factor for the CCD read out in the 2nd slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_2_NODES",(char *)"READOUT",(char *)"#ROW == 2",(char *)"Read-out nodes used fot the CCD read out in the 2nd slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_2_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 2",(char *)"Rejection threshold side C for the CCD read out in the 2nd slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_2_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 2",(char *)"Rejection threshold side D for the CCD read out in the 2nd slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_2_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 2",(char *)"CCD read out in the 2nd slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_3",(char *)"RDOUTSEQ",(char *)"#ROW == 3",(char *)"CCD read out in the 3rd slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_3_OCB",(char *)"OCBMODE",(char *)"#ROW == 3",(char *)"On-chip binning factor for the CCD read out in the 3rd slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_3_NODES",(char *)"READOUT",(char *)"#ROW == 3",(char *)"Read-out nodes used fot the CCD read out in the 3rd slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_3_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 3",(char *)"Rejection threshold side C for the CCD read out in the 3rd slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_3_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 3",(char *)"Rejection threshold side D for the CCD read out in the 3rd slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_3_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 3",(char *)"CCD read out in the 3rd slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_4",(char *)"RDOUTSEQ",(char *)"#ROW == 4",(char *)"CCD read out in the 4th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_4_OCB",(char *)"OCBMODE",(char *)"#ROW == 4",(char *)"On-chip binning factor for the CCD read out in the 4th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_4_NODES",(char *)"READOUT",(char *)"#ROW == 4",(char *)"Read-out nodes used fot the CCD read out in the 4th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_4_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 4",(char *)"Rejection threshold side C for the CCD read out in the 4th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_4_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 4",(char *)"Rejection threshold side D for the CCD read out in the 4th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_4_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 4",(char *)"CCD read out in the 4th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_5",(char *)"RDOUTSEQ",(char *)"#ROW == 5",(char *)"CCD read out in the 5th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_5_OCB",(char *)"OCBMODE",(char *)"#ROW == 5",(char *)"On-chip binning factor for the CCD read out in the 5th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_5_NODES",(char *)"READOUT",(char *)"#ROW == 5",(char *)"Read-out nodes used fot the CCD read out in the 5th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_5_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 5",(char *)"Rejection threshold side C for the CCD read out in the 5th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_5_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 5",(char *)"Rejection threshold side D for the CCD read out in the 5th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_5_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 5",(char *)"CCD read out in the 5th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_6",(char *)"RDOUTSEQ",(char *)"#ROW == 6",(char *)"CCD read out in the 6th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_6_OCB",(char *)"OCBMODE",(char *)"#ROW == 6",(char *)"On-chip binning factor for the CCD read out in the 6th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_6_NODES",(char *)"READOUT",(char *)"#ROW == 6",(char *)"Read-out nodes used fot the CCD read out in the 6th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_6_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 6",(char *)"Rejection threshold side C for the CCD read out in the 6th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_6_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 6",(char *)"Rejection threshold side D for the CCD read out in the 6th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_6_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 6",(char *)"CCD read out in the 6th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_7",(char *)"RDOUTSEQ",(char *)"#ROW == 7",(char *)"CCD read out in the 7th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_7_OCB",(char *)"OCBMODE",(char *)"#ROW == 7",(char *)"On-chip binning factor for the CCD read out in the 7th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_7_NODES",(char *)"READOUT",(char *)"#ROW == 7",(char *)"Read-out nodes used fot the CCD read out in the 7th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_7_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 7",(char *)"Rejection threshold side C for the CCD read out in the 7th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_7_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 7",(char *)"Rejection threshold side D for the CCD read out in the 7th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_7_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 7",(char *)"CCD read out in the 7th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_8",(char *)"RDOUTSEQ",(char *)"#ROW == 8",(char *)"CCD read out in the 8th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_8_OCB",(char *)"OCBMODE",(char *)"#ROW == 8",(char *)"On-chip binning factor for the CCD read out in the 8th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_8_NODES",(char *)"READOUT",(char *)"#ROW == 8",(char *)"Read-out nodes used fot the CCD read out in the 8th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_8_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 8",(char *)"Rejection threshold side C for the CCD read out in the 8th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_8_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 8",(char *)"Rejection threshold side D for the CCD read out in the 8th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_8_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 8",(char *)"CCD read out in the 8th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_9",(char *)"RDOUTSEQ",(char *)"#ROW == 9",(char *)"CCD read out in the 9th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_9_OCB",(char *)"OCBMODE",(char *)"#ROW == 9",(char *)"On-chip binning factor for the CCD read out in the 9th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_9_NODES",(char *)"READOUT",(char *)"#ROW == 9",(char *)"Read-out nodes used fot the CCD read out in the 9th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_9_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 9",(char *)"Rejection threshold side C for the CCD read out in the 9th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_9_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 9",(char *)"Rejection threshold side D for the CCD read out in the 9th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_9_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 9",(char *)"CCD read out in the 9th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_10",(char *)"RDOUTSEQ",(char *)"#ROW == 10",(char *)"CCD read out in the 10th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_10_OCB",(char *)"OCBMODE",(char *)"#ROW == 10",(char *)"On-chip binning factor for the CCD read out in the 10th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_10_NODES",(char *)"READOUT",(char *)"#ROW == 10",(char *)"Read-out nodes used fot the CCD read out in the 10th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_10_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 10",(char *)"Rejection threshold side C for the CCD read out in the 10th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_10_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 10",(char *)"Rejection threshold side D for the CCD read out in the 10th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_10_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 10",(char *)"CCD read out in the 10th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_11",(char *)"RDOUTSEQ",(char *)"#ROW == 11",(char *)"CCD read out in the 11th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_11_OCB",(char *)"OCBMODE",(char *)"#ROW == 11",(char *)"On-chip binning factor for the CCD read out in the 11th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_11_NODES",(char *)"READOUT",(char *)"#ROW == 11",(char *)"Read-out nodes used fot the CCD read out in the 11th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_11_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 11",(char *)"Rejection threshold side C for the CCD read out in the 11th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_11_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 11",(char *)"Rejection threshold side D for the CCD read out in the 11th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_11_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 11",(char *)"CCD read out in the 11th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_INDEX_12",(char *)"RDOUTSEQ",(char *)"#ROW == 12",(char *)"CCD read out in the 12th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_12_OCB",(char *)"OCBMODE",(char *)"#ROW == 12",(char *)"On-chip binning factor for the CCD read out in the 12th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_12_NODES",(char *)"READOUT",(char *)"#ROW == 12",(char *)"Read-out nodes used fot the CCD read out in the 12th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_12_REJECT_THR_C",(char *)"REJTHRC",(char *)"#ROW == 12",(char *)"Rejection threshold side C for the CCD read out in the 12th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_12_REJECT_THR_D",(char *)"REJTHRD",(char *)"#ROW == 12",(char *)"Rejection threshold side D for the CCD read out in the 12th slot", Dal::Uint16, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},
  {(char *)"CCD_12_CSG_PATTERN",(char *)"CSGPATT",(char *)"#ROW == 12",(char *)"CCD read out in the 12th slot", Dal::Int8, Xmm::RGS2, Xmm::DPP_HOUSEKEEPING_2, false},

  // PN
  {(char *)"HBR_0_ACTIVATION_STATUS",(char *)"HBRPROC",(char *)"HBRID == 1",(char *)"Activation status for HBR 0", Dal::Uint16, Xmm::EPN,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_1_ACTIVATION_STATUS",(char *)"HBRPROC",(char *)"HBRID == 2",(char *)"Activation status for HBR 1", Dal::Uint16, Xmm::EPN,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_2_ACTIVATION_STATUS",(char *)"HBRPROC",(char *)"HBRID == 3",(char *)"Activation status for HBR 2", Dal::Uint16, Xmm::EPN,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"HBR_3_ACTIVATION_STATUS",(char *)"HBRPROC",(char *)"HBRID == 4",(char *)"Activation status for HBR 3", Dal::Uint16, Xmm::EPN,Xmm::HBR_CONFIG_HOUSEKEEPING, false},
  {(char *)"FILTER_WHEEL_NAME",(char *)"F1118",(char *)"F1119 == \"STOPPED\"",(char *)"Original filter wheel value", Dal::DString, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, false},
  {(char *)"FILTER_WHEEL_POSITION_POTENTIOMETER",(char *)"F1122",(char *)"F1119 == \"STOPPED\"",(char *)"Hardware filter wheel position", Dal::Real32, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, false},
  //  {"FILTER_POTENTIOMETER_RAW",(char *)"F1122",(char *)"TRUE",(char *)"Filter position translated from potentiometer readout", Dal::Real32, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"FRAME_TIME_PARAMETER",(char *)"F1294",(char *)"TRUE",(char *)"", Dal::Int8, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CLOCK_RESET_TIME_COARSE",(char *)"F1030",(char *)"TRUE",(char *)"Coarse component of the clock reset time", Dal::Int32, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CLOCK_RESET_TIME_FINE",(char *)"FU036",(char *)"TRUE",(char *)"Fine component of the clock reset time", Dal::Uint16, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CLOCK_WRAP_AROUND",(char *)"F1052",(char *)"TRUE",(char *)"Clock wrap around", Dal::Uint16, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CAMEX_GAIN_CCD1",(char *)"F1227",(char *)"TRUE",(char *)"", Dal::DString, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CAMEX_GAIN_CCD2",(char *)"F1226",(char *)"TRUE",(char *)"", Dal::DString, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CAMEX_GAIN_CCD3",(char *)"F1225",(char *)"TRUE",(char *)"", Dal::DString, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CAMEX_GAIN_CCD4",(char *)"F1234",(char *)"TRUE",(char *)"", Dal::DString, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CAMEX_GAIN_CCD5",(char *)"F1233",(char *)"TRUE",(char *)"", Dal::DString, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CAMEX_GAIN_CCD6",(char *)"F1232",(char *)"TRUE",(char *)"", Dal::DString, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CAMEX_GAIN_CCD7",(char *)"F1241",(char *)"TRUE",(char *)"", Dal::DString, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CAMEX_GAIN_CCD8",(char *)"F1240",(char *)"TRUE",(char *)"", Dal::DString, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CAMEX_GAIN_CCD9",(char *)"F1239",(char *)"TRUE",(char *)"", Dal::DString, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CAMEX_GAIN_CCD10",(char *)"F1248",(char *)"TRUE",(char *)"", Dal::DString, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CAMEX_GAIN_CCD11",(char *)"F1247",(char *)"TRUE",(char *)"", Dal::DString, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CAMEX_GAIN_CCD12",(char *)"F1246",(char *)"TRUE",(char *)"", Dal::DString, Xmm::EPN, Xmm::MAIN_PERIODIC_HOUSEKEEPING, true},
  {(char *)"LOWER_THRESHOLD_Q0_CCD0",(char *)"F1515",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"LOWER_THRESHOLD_Q0_CCD1",(char *)"F1516",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"LOWER_THRESHOLD_Q0_CCD2",(char *)"F1517",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"LOWER_THRESHOLD_Q1_CCD0",(char *)"F1615",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"LOWER_THRESHOLD_Q1_CCD1",(char *)"F1616",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"LOWER_THRESHOLD_Q1_CCD2",(char *)"F1617",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"LOWER_THRESHOLD_Q2_CCD0",(char *)"F1715",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"LOWER_THRESHOLD_Q2_CCD1",(char *)"F1716",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"LOWER_THRESHOLD_Q2_CCD2",(char *)"F1717",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"LOWER_THRESHOLD_Q3_CCD0",(char *)"F1815",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"LOWER_THRESHOLD_Q3_CCD1",(char *)"F1816",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"LOWER_THRESHOLD_Q3_CCD2",(char *)"F1817",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CMCORR_Q0",(char *)"F1525",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CMCORR_Q1",(char *)"F1625",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CMCORR_Q2",(char *)"F1725",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"CMCORR_Q3",(char *)"F1825",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"QUADRANT_UNDERSAMPLING_Q0",(char *)"F1534",(char *)"TRUE",(char *)"", Dal::Int8, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"QUADRANT_UNDERSAMPLING_Q1",(char *)"F1634",(char *)"TRUE",(char *)"", Dal::Int8, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"QUADRANT_UNDERSAMPLING_Q2",(char *)"F1734",(char *)"TRUE",(char *)"", Dal::Int8, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},
  {(char *)"QUADRANT_UNDERSAMPLING_Q3",(char *)"F1834",(char *)"TRUE",(char *)"", Dal::Int8, Xmm::EPN, Xmm::ADD_PERIODIC_HOUSEKEEPING, true},

  // OM
  {(char *)"EXPOSURE_DURATION",(char *)"H5440",(char *)"TRUE",(char *)"", Dal::Uint16, Xmm::OM, Xmm::PERIODIC_HOUSEKEEPING, true},
  {(char *)"FILTER_WHEEL_POSITION",(char *)"H5265",(char *)"TRUE",(char *)"Hardware filter wheel position", Dal::Int16, Xmm::OM, Xmm::PERIODIC_HOUSEKEEPING, true},
  //  {"FILTER_RAW",(char *)"H5265",(char *)"TRUE",(char *)"Filter", Dal::Int16, Xmm::OM, Xmm::PERIODIC_HOUSEKEEPING, true},
};

#endif
