//
// XMM Science Analysis System
//
// Giuseppe Vacanti (cosine) 
// June 2000
//
#ifndef TIMEORDEREDTABLE_H
#define TIMEORDEREDTABLE_H

class Table;
class STime;

//#include <STime.h>

#include <string>
#include <vector>
#include <utility>

// Given a DAL table with a (string) TIME column that can be
// interpreted by STime, this class provides one with an interface to
// access:
//
//     1: table row range corresponsing to tstart-tstop
//     2: table row with a time before a given time
//
// [t0, t1, .... tn-1, tn]
//
// [1] t0 <= time[RowRange.first] <= tstart <= tstop <= time[RowRange.second] <= tn
// [2] time[RowIdx] <= time <= time[RowIdx+1]
class TimeOrderedTable : private std::vector<TimeRow> {
 public:
  typedef unsigned RowIdx;
  typedef std::pair<RowIdx, RowIdx> Range;
  typedef std::pair<STime, RowIdx> TimeRow;

  template<class TimeSelector>
      TimeOrderedTable(const Table *tab,
		       const TimeSelector & selector,
		       const std::string& timename = "TIME")

//   Range row_range(const STime & start, const STime & stop) const;
//   Range rows_before(const STime & start) const;

//   const STime& time_of_row(const RowIdx &) const;
//   bool row_has_time(const RowIdx &) const;

//   // iterators
//   typedef TimeRow value_type;
//   typedef value_type* pointer;
//   typedef const value_type* const_pointer;
//   typedef value_type& reference;
//   typedef const value_type& const_reference;
//   typedef ptrdiff_t difference_type;
//   typedef size_t size_type;
//   typedef pointer iterator;
//   typedef const_pointer const_iterator;
//   typedef std::reverse_iterator<iterator> reverse_iterator;
//   typedef std::reverse_iterator<const_iterator> const_reverse_iterator;
//   iterator begin() { return *stimes_.begin() ; }
//   iterator end() {return *stimes_.end(); }
//   const_iterator begin() const { return stimes_.begin() ; }
//   const_iterator end() const {return stimes_.end(); }
//   reverse_iterator rbegin() { return reverse_iterator(end()); }
//   reverse_iterator rend() { return reverse_iterator(begin()); }
//   const_reverse_iterator rbegin() const { return const_reverse_iterator(end()); }
//   const_reverse_iterator rend() const { return const_reverse_iterator(begin()); }

//   reference operator[](size_type n) { return stimes_[n]; }
//   const_reference operator[](size_type n) const { return stimes_[n]; }

//   size_type size() const { return stimes_.size(); }
//   bool empty() const { return stimes_.empty(); }

//   // i/f in terms of iterators
//   std::pair<iterator, iterator> range(const STime & start, const STime & stop);

 private:

//   std::vector<TimeRow> stimes_;
//   std::string fqn_;
};

bool operator<(const TimeOrderedTable::TimeRow & rhs,
	       const TimeOrderedTable::TimeRow & lhs);


#endif
