//  Giuseppe Vacanti (cosine science & computing bv)
//  March 17, 2003
//
//   $Id: HkListTest.cc,v 1.2 2009/08/31 15:12:34 aibarra Exp $

#include<Hkparameter_List.h>
#include<Xmm.h>

#include<cassert>
#include<iostream>
#include<algorithm>
#include<string>


class Print {
public:
  Print(ostream & os) : have_instrument_(false), os_(os) {}
  void operator()(const Hkparameter_Descriptor & p) {
    if(!have_instrument_){
      have_instrument_ = true;
      instrument_ = Xmm::toString(p.instrument);
      os_ << "Housekeeping parameters for " << instrument_ << "\n";
    }
    os_ << p.name << ": from column " << p.colname << " in " << Xmm::toString(p.hktype);
    /* AI gcc4
     * comparison with string literal results in unspecified behaviour => if ( !(strcmp (str1,str2) ) )
     *
     */
    if(!(strcmp(p.condition, "TRUE")) )
      os_ << " subject to '" << p.condition << "'";
    os_ << "\n";
  }
  private:
  bool have_instrument_;
  ostream & os_;
  std::string instrument_;
};

int main() {
  unsigned n = sizeof(hkd) /  sizeof(Hkparameter_Descriptor);
//   unsigned nmos1 = sizeof(hkd_mos1) /  sizeof(Hkparameter_Descriptor);
//   unsigned nmos2 = sizeof(hkd_mos2) /  sizeof(Hkparameter_Descriptor);
//   unsigned nrgs1 = sizeof(hkd_rgs1) /  sizeof(Hkparameter_Descriptor);
//   unsigned nrgs2 = sizeof(hkd_rgs2) /  sizeof(Hkparameter_Descriptor);
//   unsigned nepn  = sizeof(hkd_epn)  /  sizeof(Hkparameter_Descriptor);
//   unsigned nom   = sizeof(hkd_om)   /  sizeof(Hkparameter_Descriptor);
//   std::for_each(hkd_mos1, hkd_mos1 + nmos1, Print(std::cout));
//   std::for_each(hkd_mos2, hkd_mos2 + nmos2, Print(std::cout));
//   std::for_each(hkd_rgs1, hkd_rgs1 + nrgs1, Print(std::cout));
//   std::for_each(hkd_rgs2, hkd_rgs2 + nrgs2, Print(std::cout));
//   std::for_each(hkd_epn,  hkd_epn  + nepn,  Print(std::cout));
//   std::for_each(hkd_om,   hkd_om   + nom,   Print(std::cout));
  std::for_each(hkd,   hkd   + n,   Print(std::cout));
}

