//
// XMM Science Analysis System
//
// Giuseppe Vacanti (cosine) 
// August 2001
//

#include <Observation.h>

#include <iostream>
#include<iterator>
#include <string>
#include <map>
#include <cassert>


int main() {

  std::map<Xmm::Instrument, std::string> nicknames, configurations;

  // These are the nicknames and configuration names taken from the
  // Observation::Instrument 's constructor.
  nicknames[Xmm::EMOS1] = "M1";
  nicknames[Xmm::EMOS2] = "M2";
  nicknames[Xmm::RGS1] = "R1";
  nicknames[Xmm::RGS2] = "R2";
  nicknames[Xmm::EPN] = "PN";
  nicknames[Xmm::OM] = "OM";

  configurations[Xmm::EMOS1] = "EPIC MOS";
  configurations[Xmm::EMOS2] = "EPIC MOS";
  configurations[Xmm::RGS1] = "RGS";
  configurations[Xmm::RGS2] = "RGS";
  configurations[Xmm::EPN] = "EPIC PN";
  configurations[Xmm::OM] = "OM";



  typedef std::vector<XmmInstrument *>::const_iterator VI;
  for(VI i = xmmPayLoad.instruments().begin();
      i != xmmPayLoad.instruments().end();
      ++i){
    OdfIngest::Instrument oi(*i);
    if(oi.identifier() == Xmm::ERM) continue;
    std::cout << "name " << oi.name() << std::endl
	      << "nickname " << oi.nickname() << std::endl
	      << "configuration " << oi.configuration() << std::endl
	      << "identifier " << oi.identifier() << std::endl;

    OdfIngest::Instrument oii(oi.nickname());
    assert(oi.identifier() == oii.identifier());
    std::cout << "Construction via nickname ok" << std::endl;

    const OdfIngest::DataModes & dm = oi.science_data_modes();
    std::copy(dm.begin(), dm.end(),
	      std::ostream_iterator<OdfIngest::DataMode>(std::cout, "\n"));
    
    std::cout << oi << std::endl;
    std::cout << std::string(72, '-') << std::endl;
    
    assert(oi.nickname() == nicknames[oi.identifier()]);
    assert(oi.configuration() == configurations[oi.identifier()]);    
  }
}
